Debian Bug report logs - #704571
support for multiple kernel versions in binary

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Thanatermesis <thanatermesis@gmail.com>

Date: Wed, 3 Apr 2013 02:12:01 UTC

Severity: wishlist

Tags: patch

Merged with 573173

Found in version live-build/3.0.1-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Live Systems Maintainers <debian-live@lists.debian.org>:
Bug#704571; Package live-build. (Wed, 03 Apr 2013 02:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thanatermesis <thanatermesis@gmail.com>:
New Bug report received and forwarded. Copy sent to Live Systems Maintainers <debian-live@lists.debian.org>. (Wed, 03 Apr 2013 02:12:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thanatermesis <thanatermesis@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-build: Listing flavours in syslinux step does a wrong matching
Date: Wed, 03 Apr 2013 04:08:00 +0200
[Message part 1 (text/plain, inline)]
Package: live-build
Version: 3.0.1-1
Severity: normal
Tags: patch

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Build fails if you include a kernel in the flavours like the ones from
experimental that has a different name, for example on this case it
fails with a structure like this:

vmlinuz-3.2.0-4-486
vmlinuz-3.2.0-4-686-pae
vmlinuz-3.8-trunk-686-pae

Just like you can see in this paste with the error: http://paste.debian.net/236002/
You can see the error in the expansion on the line 28 which includes 2
times a vmlinuz file, as how SynrG told me in the chat the solution
should be:

<SynrG> step 1. remember which flavour is which sequence #
<SynrG> step 2. sort all flavours by length, longest 1st
<SynrG> step 3. iteratively match all flavours, removing them from the list of kernels to match whenever we have a match
<SynrG> step 4. rename all matched vmlinuz-* to vmlinuz#
<SynrG> if you can figure out how to do that in shell, be my guest :)

The attached patch should solve the problem, it was tested in a sandbox
(simulated) environment with the result included in the comments but not
in a real build since I was able to install the kernel 3.7 from
experimental but not the 3.8 one (broken dependencies), however I readed
the code and it should not conflict in the rest of the script behaviour

Thanks
Thanatermesis



- -- Package-specific info:

- -- System Information:
Debian Release: 7.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-4-686-pae (SMP w/2 CPU cores)
Locale: LANG=es_ES.UTF-8, LC_CTYPE=es_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-build depends on:
ii  debootstrap  1.0.44

Versions of packages live-build recommends:
ii  cpio                            2.11+dfsg-0.1
ii  gnu-fdisk                       1.2.4-3.1
ii  live-boot-doc                   3.0.1-1
ii  live-config-doc                 3.0.21-1
ii  live-manual-html [live-manual]  1:3.0.1-1

Versions of packages live-build suggests:
ii  debian-keyring  2012.11.15
ii  dosfstools      3.0.13-1
ii  fakeroot        1.18.4-2
ii  git             1:1.7.10.4-1+wheezy1
ii  gpgv            1.4.12-7
pn  loadlin         <none>
ii  memtest86+      4.20-1.1
ii  mtools          4.0.17-1
ii  parted          2.3-12
ii  squashfs-tools  1:4.2-5
ii  sudo            1.8.5p2-1+nmu1
ii  syslinux        2:4.05+dfsg-6+deb7u1
ii  uuid-runtime    2.20.1-5.3
pn  win32-loader    <none>
ii  xorriso         1.2.2-2

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRW48AAAoJEKLHmb/f+NfCTQsQAJD4Aw/o7MXmNKFZe1Bi4LBX
T1KHdmsOCsRU7d3spIkmDI2Fj/7DmmZG51GrpT7lwE4E2iR3TZA2O5QtMwzfR4Vr
ClG9zAFGLIoFxD8rXaFoOrIDpy3/8P5cDK9Ww0/H8mW2cKyIYkFx/zyIa2q/JCRH
mqY6cfD8PYiwdnU/oereNw5n4YGgkYan91A/prXIBSUE9d/a7IBdUYatSg/jjP+m
MOb/vtSRerYbVROMvMBLgz3c8eAZpUZANFQBgstnlDKWN8ijwnnhlftiuSBz6u5m
nXzfO4ei0/rQ8325ONrsZmVB5iZYwY2M0qbkXCnAkf1ccesbuiQ+ozxPYldHCHJi
wSbHJrFLR+vnorfFMRVokB3t94PvDRawTjz3f885lS3f8Hy/qCiVgjSxHiHuBCTw
FJlrItcLLdn2vxw/3KfcEekPeQ9WZT25amA3vDsA2e6HoYjXTuNmpteXOKX68OeG
6iPA1c21qXe1AWMZsdjfQXOzKlJG2P7oDrjya1ssST0o9xFllIESLiUcOZTXoTng
urusW4vmgcByqaf/qc3BYCOQsuixSEwV5nv+WBtpRG9zGqoZ0xRpISPG9FIg+i/U
DXA/ymAI6LG2JzoD3LQaQFfhb1Oru7chDnSN2cW3TPt7FjZ4zQcqgZtmu4w+8Gta
Z+GO2f+j843i2075YWJk
=uzlA
-----END PGP SIGNATURE-----
[TEMPORAL_bugfix-flavours-listing-by-lengh (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Live Systems Maintainers <debian-live@lists.debian.org>:
Bug#704571; Package live-build. (Wed, 03 Apr 2013 04:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thanatermesis <thanatermesis@gmail.com>:
Extra info received and forwarded to list. Copy sent to Live Systems Maintainers <debian-live@lists.debian.org>. (Wed, 03 Apr 2013 04:09:05 GMT) Full text and rfc822 format available.

Message #10 received at 704571@bugs.debian.org (full text, mbox):

From: Thanatermesis <thanatermesis@gmail.com>
To: Debian Bug Tracking System <704571@bugs.debian.org>
Subject: live-build: updated patch and verified
Date: Wed, 03 Apr 2013 06:08:03 +0200
[Message part 1 (text/plain, inline)]
Package: live-build
Version: 3.0.1-1
Followup-For: Bug #704571

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

This is the updated patch which I verified that works with the
parameters shown in the report of this bug, but it will required a minor
change (like: vmlinuz-*-$VAR to be vmlinuz-*$VAR), otherwise it doesn't
works with the flavour 3.8 from the previous example.

I verified it in a build and it worked and boots correctly with all the
flavours


- -- Package-specific info:

- -- System Information:
Debian Release: 7.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-4-686-pae (SMP w/2 CPU cores)
Locale: LANG=es_ES.UTF-8, LC_CTYPE=es_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-build depends on:
ii  debootstrap  1.0.44

Versions of packages live-build recommends:
ii  cpio                            2.11+dfsg-0.1
ii  gnu-fdisk                       1.2.4-3.1
ii  live-boot-doc                   3.0.1-1
ii  live-config-doc                 3.0.21-1
ii  live-manual-html [live-manual]  1:3.0.1-1

Versions of packages live-build suggests:
ii  debian-keyring  2012.11.15
ii  dosfstools      3.0.13-1
ii  fakeroot        1.18.4-2
ii  git             1:1.7.10.4-1+wheezy1
ii  gpgv            1.4.12-7
pn  loadlin         <none>
ii  memtest86+      4.20-1.1
ii  mtools          4.0.17-1
ii  parted          2.3-12
ii  squashfs-tools  1:4.2-5
ii  sudo            1.8.5p2-1+nmu1
ii  syslinux        2:4.05+dfsg-6+deb7u1
ii  uuid-runtime    2.20.1-5.3
pn  win32-loader    <none>
ii  xorriso         1.2.2-2

- -- no debconf information

- -- debsums errors found:
debsums: changed file /usr/lib/live/build/binary_syslinux (from live-build package)

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRW6sjAAoJEKLHmb/f+NfCh9oP/RDJ27UfQhkYrbPAYLTsO5jt
+CIs/o8fhgml2wTrbdusnH5ODSa0cVDo2dGamlgF7mSZ1NZrNxdOHWqO015kmWvl
ubE0pXlYKP/X96dA7m+vZXNJeVwEHxF459aiISxQRbcsJQy7Ceul1M1Mb+0JTDDH
IlKEqnDo9k9hPFb7EiUhmrLQiPPYLUKnbUIOzgtFswKhtfX6QT6sb4ApkD2GUjU+
hxEUB0bzr8wErUzuWrB2ec3blN05OpjelFh7YJdXNn+51KFK1SITAbb2J05LzzYY
Vet2ocBT3Sq0LMXNNng9CN7tE7T/RIEJ0/FpsP8agPLltV2maXuMjq1pw24oU7Wj
ntbVjzOPdm8/SBRVaKwZawlhVSmuxo2Txqa4IPv3ZG1WBmWMY4dctSe4Y2VStViT
DFFFz/zPkr6Of9Hdaxn9sXq4mjplbZItOGSgUXvorepGI3EL9jaPGAStcT2JWL7w
dES1F8zCeOOnKXvYdOVz4KL581p+k2lJHuebnJlaQgvsv5tr77Z/qDaW2AUc+/QF
TXC/gmEQclfbqAYhxGfdoDzVslh4eQiy73ANAvm4AEo5oMpjb7MV+qPaPxSwtUNV
klJXu3rfhytA+lzOEe882Kz20NftGMEfc2K6//aZVLJz53EB/3YFLIDJXKoqCWeF
/rJeYYE6mBTVEqKQVJSr
=1pH0
-----END PGP SIGNATURE-----
[TEMPORAL_bugfix-flavours-listing-by-lengh (text/x-diff, attachment)]

Changed Bug title to 'support for multiple kernel versions in binary' from 'live-build: Listing flavours in syslinux step does a wrong matching' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 03 Apr 2013 05:42:07 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 03 Apr 2013 05:42:08 GMT) Full text and rfc822 format available.

Merged 573173 704571 Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 03 Apr 2013 05:42:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Live Systems Maintainers <debian-live@lists.debian.org>:
Bug#704571; Package live-build. (Mon, 08 Apr 2013 21:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thanatermesis <thanatermesis@gmail.com>:
Extra info received and forwarded to list. Copy sent to Live Systems Maintainers <debian-live@lists.debian.org>. (Mon, 08 Apr 2013 21:27:09 GMT) Full text and rfc822 format available.

Message #21 received at 704571@bugs.debian.org (full text, mbox):

From: Thanatermesis <thanatermesis@gmail.com>
To: Debian Bug Tracking System <704571@bugs.debian.org>
Subject: live-build: improved patch with bugfixes
Date: Mon, 08 Apr 2013 23:22:23 +0200
[Message part 1 (text/plain, inline)]
Package: live-build
Version: 3.0.1-1
Followup-For: Bug #704571

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

The previous patch is not perfectly correct, it works good but the
generated list in the syslinux menu is not in the correct order, the
updated patch solves this (verified)


- -- Package-specific info:

- -- System Information:
Debian Release: 7.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-4-686-pae (SMP w/2 CPU cores)
Locale: LANG=es_ES.UTF-8, LC_CTYPE=es_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-build depends on:
ii  debootstrap  1.0.48

Versions of packages live-build recommends:
ii  cpio                            2.11+dfsg-0.1
ii  gnu-fdisk                       1.2.4-3.1
ii  live-boot-doc                   3.0.1-1
ii  live-config-doc                 3.0.21-1
ii  live-manual-html [live-manual]  1:3.0.1-1

Versions of packages live-build suggests:
ii  debian-keyring  2012.11.15
ii  dosfstools      3.0.13-1
ii  fakeroot        1.18.4-2
ii  git             1:1.7.10.4-1+wheezy1
ii  gpgv            1.4.12-7
pn  loadlin         <none>
ii  memtest86+      4.20-1.1
ii  mtools          4.0.17-1
ii  parted          2.3-12
ii  squashfs-tools  1:4.2-5
ii  sudo            1.8.5p2-1+nmu1
ii  syslinux        2:4.05+dfsg-6+deb7u1
ii  uuid-runtime    2.20.1-5.3
pn  win32-loader    <none>
ii  xorriso         1.2.2-2

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRYzUPAAoJEKLHmb/f+NfC0LQP/2JeZyg9INOU5QniH2s7OZQj
vwD+qRcSHjNUxy4bkpoC0i1mDI8SLZEhuSM4rY9cBeXdWJs98pSeW/VqpF1PUUTF
pb9ubM2KsWLtZ+49p2Df9miEAHYSLAbyEOPuye1Q/RuEZDP7K4Cg6PdPJhF/xIis
wtdkLaYPA0mgGkPBvvPsmmGqzExtbVvG1DmJqcV0yqomjTX1IBs3VcAj4gQVZTUY
4GIrcYIBCYX1qnFCDhLtfVuack4EGphdIoTOp/L++5nHMZPteYcVGwfLAN5TdYyr
M5SLccsR0FKaYkB76VYU6sZ2++OY8KM/1+He3I9cAhHwnrgyx916dq9JPqj7m+uF
sjhl1o2I9gO14K6ZtnY7LSFhfHhnUQrCQMLQK9AWB1KDOqF9fkCXPVq5f6p8EEWJ
nbhau9H+5WQ7LK4/dOCQR1b5WrExdSG8UD6yxc3MP+nMG7dKHyYKiSnwwaydf0pZ
14bUHySb1DoQYZ1HBK040WAe6L6/zO01js5LKENSe32JXFR6QCppK/7E3KeIThpU
D8IrevBLd8KQiJdvb2D4SYtpQ3zZg9eK3Pm0wbGZE7iXDqqiViykrnzM+45XU4wu
5vuK6b2x6PVUta24/sC3clwyTeJUHh9DxXY6s8Bd9TUUx+MDqfVFas0KelbcivgC
pKRAqsC3Jc2DzgLoxfeW
=hKLX
-----END PGP SIGNATURE-----
[TEMPORAL_bugfix-flavours-listing-by-lengh (text/x-diff, attachment)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:17:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.